version: "2.4"
services:
  web:
    image: drupaltry
    ports:
      - "8080:80"
    environment:
      DRUPAL_PROFILE: standard
      DRUPAL_DB_URL: "mysql://drupal:drupal@mysql/drupal"
    depends_on:
      mysql:
        condition: service_healthy
  mysql:
    image: "mysql:5"
    environment:
      MYSQL_DATABASE: drupal
      MYSQL_USER: drupal
      MYSQL_PASSWORD: drupal
      MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "-h", "localhost"]
      timeout: 20s
      retries: 10
